kr.co.hanwha.hifive.adapter.contract

## Interface TaskDetailListContract.Model

- All Known Implementing Classes:
    TaskDetailListAdapter
  Enclosing interface:
    TaskDetailListContract

      public static interface TaskDetailListContract.Model

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addItem(MessageListData data)`
    `void` | `addItem(MessageListData data, int index)`
    `void` | `addItems(java.util.ArrayList<MessageListData> list)`
    `void` | `clearItems()`
    `void` | `setTaskItem(TaskDetailRoot taskDetailRoot)`
    `void` | `setTotalCount(int totalCount)`

- - ### Method Detail

    - #### clearItems

          void clearItems()

    - #### setTaskItem

          void setTaskItem(TaskDetailRoot taskDetailRoot)

    - #### addItem

          void addItem(MessageListData data)

    - #### addItem

          void addItem(MessageListData data,
                       int index)

    - #### addItems

          void addItems(java.util.ArrayList<MessageListData> list)

    - #### setTotalCount

          void setTotalCount(int totalCount)